Retrieve the authenticated account
GET
/v1/account
const url = 'https://api.segmentationapi.com/v1/account';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.segmentationapi.com/v1/account \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Account
Media typeapplication/json
object
Examplegenerated
{ "accountId": "example", "email": "example", "emailVerified": true, "image": "example", "name": "example", "status": "example"}Authentication is missing, invalid, or expired
Media typeapplication/json
object
Examplegenerated
{ "error": "example", "message": "example", "remainingTokens": 1, "requestedTokens": 1, "expiresAt": "2026-04-15T12:00:00Z", "activeJobId": "example", "upgradeUrl": "https://example.com", "retryAfterSeconds": 1}